#include "game.h"
#include <iterator>

SDL_Surface* LoadImage(const char* path){
	SDL_Surface* bi = NULL;
	SDL_Surface* cl = NULL;

	bi = SDL_LoadBMP(path);
	if(bi == NULL){
		cout << "No Image!";
		return NULL;
	}

	cl = SDL_DisplayFormat(bi);

	SDL_FreeSurface(bi);
	return cl;
}
bool Initialize(){
	
	if(SDL_Init( SDL_INIT_EVERYTHING ) < 0){
		return false;
	}
	screen = SDL_SetVideoMode( SCREEN_WIDTH, SCREEN_HEIGHT, SCREEN_BPP, SDL_SWSURFACE);
	if(screen == NULL){
		return false;
	}
	return true;
}
//just for testing
void applyMap(int map[9][12], SDL_Surface* s){
	SDL_Rect pr;
	pr.x = 0;
	pr.y = 0;
	for(int y = 0; y < 9; y++)
	{
		for(int x = 0; x < 12; x++)
		{
			if(map[y][x] == 1){
				SDL_BlitSurface(s, NULL, screen, &pr);
				pr.x = x * 64;
				pr.y = y * 64;
			}
		}
	}
	if(map[8][11] == 1){
		pr.x = 11 * 64; pr.y = 8 * 64;
		SDL_BlitSurface(s, NULL, screen, &pr);
	}
}

void recieveInput()
{
	SDL_PumpEvents();
	keys = SDL_GetKeyState(NULL);
	SDL_PollEvent(&event);
	if(event.type == SDL_KEYDOWN){
		if(event.key.keysym.sym == SDLK_ESCAPE)
		{
			done = true;
		}
		else{

			p->keyDown(keys);
		}
	}
}
void draw(){
	SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,0,0,0));
	for(list<enemy>::iterator a = e.begin(); a != e.end(); a++){
		(*a).draw();
	}
	p->draw();
	SDL_Flip(screen);
}
//only here for testing purposes
void createEnemy(int x, int y, const char* path){
	enemy enem = enemy(x, y, path);
	e.push_back(enem);
}